Bots - Get Maker Evaluation Test Set
Get Maker Evaluation Test Set by ID.
Get a specific test set for maker evaluation of a bot.
GET https://api.powerplatform.com/copilotstudio/environments/{EnvironmentId}/bots/{BotId}/api/makerevaluation/testsets/{TestSetId}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Bot
|
path | True |
string |
The bot ID. |
|
Environment
|
path | True |
string |
The environment ID. |
|
Test
|
path | True |
string |
The test set ID. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successful response. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Audit |
Audit information for a resource. |
|
State |
The state of an evaluation run describing the currently active stage. |
|
Test |
The response payload for a get test set request. |
AuditInfo
Audit information for a resource.
| Name | Type | Description |
|---|---|---|
| createdBy |
string (uuid) |
The ID of the user who created the record. |
| createdTimeUtc |
string (date-time) |
The UTC time when the record was created. |
| modifiedBy |
string (uuid) |
The ID of the user who last modified the record. |
| modifiedTimeUtc |
string (date-time) |
The UTC time when the record was last modified. |
StateCode
The state of an evaluation run describing the currently active stage.
| Value | Description |
|---|---|
| Active | |
| Inactive | |
| Unknown |
TestSet
The response payload for a get test set request.
| Name | Type | Description |
|---|---|---|
| auditInfo |
Audit information for a resource. |
|
| description |
string |
Description of the test set. |
| displayName |
string |
Display name of the test set. |
| id |
string |
The unique identifier for the test set component. |
| state |
The state of an evaluation run describing the currently active stage. |
|
| totalTestCases |
integer |
The number of test cases in the test set. |